QGIS Application - Feature request #3138
Add plugin autopackaging script
2010-10-20 12:47 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Pull Request or Patch supplied: Resolution: worksforme
Easy fix?: No Copied to github as #: 13198
Description

The current situation with plugins is rather confusing for the user: many repos, not all of them available all the time, often no easy way to
understand ahow they work.
For developers the situation is also not optimal: it is difficult to notifiy bugs, easy to miss them, and difficult to fix problems in plugins other
than its own.
| suggest to put all them on a trac (either a separate instance or a brach of the main QGIS trac).
A set of useful functions would then be:

- a script for automatic packaging after any commit; this will solve the frequent problems with plugins with wrong XML data being asked
to be upgraded any time, and make the dev life easier

- arating system, so users can tell which ones to trust more

- download statistics, for the same purpose

- an info page, better if open to coments

History

#1 - 2010-10-21 08:12 AM - Andreas Neumann

| will list here some of my expectations regarding the new centralized plugin repository - and related to it - some extensions on the Python plugin installer:

Central Repository

- Quality Assurance (poor plugins are bad for QGIS reputation)
- Status (experimental, production)
- trac-like option to report bugs and enhancement requests
- category
- documentation:
- where in the Ul can the plugin be found (menu, toolbar, dialogue)
- initial check-in date, last updated date
- contact information - how to reach the plugin author (developer and organization/company)
- purpose of the plugin
- URL to further information/manual/howto
- support options (if any)
- what language is supported
Plugin Install Enhancements
- reveal metadata listed above
- way for users to comment, rate or report bugs (could also be provided by a separate web-based tool, but the plugin-installer should show a link to this
other system)
- plugins could be grouped by category
- plugin installer could display external documentation webpage within a qtwebkit embedded in the installer
- plugin-installer could show screenshots of the plugin

#2 - 2010-10-22 10:53 AM - Paolo Cavallini
| would add:
- we need cooperative platform to let one or more maintainer group plugins under a reasonable number of submenus: now it is very difficult to find a

plugin when installed

#3 - 2011-03-05 04:54 AM - Borys Jurgiel
- Status changed from Open to In Progress

#4 - 2011-12-16 01:54 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-15 10:10 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2013-03-16 01:43 PM - Giovanni Manghi
- Resolution set to fixed

- Pull Request or Patch supplied set to No

- Status changed from In Progress to Closed

it seems it was everything implemented, right?

#8 - 2013-03-17 11:18 AM - Paolo Cavallini
- Status changed from Closed to In Progress
- Subject changed from Add plugin trac + svn to Add plugin autopackaging script

Most of the features have been implemented; the autopackaging script is still missing.

#9 - 2016-03-25 07:08 AM - Alexander Bruy
- Resolution deleted (fixed)

Do we really need autopackaging script for 3rd party plugins? What is the purpose of this script? For me it looks quite useless, | can not think of any reason

why | may need to create plugin package on each commit to my GitHub or local repo.

BTW, Plugin Builder already generates makefile which allows create plugin package by running make.

#10 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#11 - 2018-01-29 07:04 PM - Paolo Cavallini

- Status changed from In Progress to Closed

- Description updated

- Resolution set to worksforme
Plugin builder solves the issue IMHO
